Filter not working for permission: edit_params from resource: parameter 

06/16/2016 05:30 PM - TJ Guthrie

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.11.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In edit filter when selecting

Resource type: Parameter

Permission: edit_params

Unlimited: Checked

In edit host under the Parameters tab a user can override any puppet class parameter. But when Unlimited is not checked and we go

to enter a filter in the search box auto complete does not give any options. If we enter in a filter manually such as "name ~ ops", the

filter does not get applied and the user can still override any puppet class parameter.

Related issues:

Related to Foreman - Bug #14546: No ability to restrict *_external_variables ... Closed 04/08/2016

History

#1 - 06/17/2016 02:33 AM - Marek Hulán

- Category set to Parameters

Resource type Parameter is I believe used only for global parameters. I'm afraid there's no way to achieve this in 1.11. Good news is that it was

added in 1.12 (there's already release candidate that you could test) and for puppet class parameters (smart class parameters) you would use

PuppetclassLookupKey or for smart variables it's VariableLookupKey. More details can be found at #14546.

#2 - 06/17/2016 02:35 AM - Marek Hulán

- Related to Bug #14546: No ability to restrict *_external_variables with search anymore added

#3 - 06/17/2016 02:36 AM - Marek Hulán

If we could get confirmation that this works as expected in 1.12, I'd suggest changing to resolved with release set to 1.12.

#4 - 06/17/2016 03:20 AM - Dominic Cleal

- Status changed from New to Feedback

#5 - 05/17/2017 11:30 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing
